ListContextChanges
Returns the context entries that were added to or removed from a context store after the specified version. The context store must be in the AVAILABLE state.
Request Syntax
GET /context-stores/contextStoreId/context-changes?fromVersionId=FromVersionId&maxResults=MaxResults&nextToken=NextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- contextStoreId
-
The ID of the context store.
Length Constraints: Minimum length of 0. Maximum length of 50.
Pattern:
^context-store-([0-9a-f]{8,17})$Required: Yes
- FromVersionId
-
The version to return changes from. Specify a version returned by
ListContexts,GetContextVersion, or theToVersionIdof a previousListContextChangesrequest. If the version is no longer available, the request fails, and you must callListContextsto get the current context entries.Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]*Required: Yes
- MaxResults
-
The maximum number of results to return.
Valid Range: Minimum value of 1. Maximum value of 500.
- NextToken
-
The token for the next page of results.
Length Constraints: Minimum length of 0. Maximum length of 2048.
Pattern:
[\s\S]*
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"ContextChanges": [
{
"ChangeType": "string",
"Context": {
"AttachmentType": "string",
"AvailabilityZone": "string",
"ContextId": "string",
"ContextType": "string",
"PublicId": "string",
"Region": "string",
"SegmentType": "string"
}
}
],
"FromVersionId": "string",
"NextToken": "string",
"ToVersionId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- ContextChanges
-
The context entries that were added or removed.
Type: Array of ContextChange objects
- FromVersionId
-
The version that the changes start from.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]* - NextToken
-
The token for the next page of results.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 2048.
Pattern:
[\s\S]* - ToVersionId
-
The version that the changes bring the context entries up to. To get later changes, specify this value as
FromVersionIdin your next request. All pages of the same request return the same version.Type: String
Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]*
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request has failed due to an internal error.
- RetryAfterSeconds
-
Indicates when to retry the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource could not be found.
- Context
-
The specified resource could not be found.
- ResourceId
-
The ID of the resource.
- ResourceType
-
The resource type.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
- RetryAfterSeconds
-
Indicates when to retry the request.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints.
- Fields
-
The fields that caused the error, if applicable.
- Reason
-
The reason for the error.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: